<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [LocationRequirement](./bitburner.locationrequirement.md)

## LocationRequirement interface

Player must be at this location within a city.

**Signature:**

```typescript
interface LocationRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[location](./bitburner.locationrequirement.location.md)


</td><td>


</td><td>

[LocationName](./bitburner.locationname.md)


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.locationrequirement.type.md)


</td><td>


</td><td>

"location"


</td><td>


</td></tr>
</tbody></table>

